MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0022888Community[OCCT] OCCT:Data Exchangepublic2012-01-10 11:582012-11-16 13:17
Reporterszy 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.2 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0022888: Wrong shape result imported from IGES file.
Description[OCC Forum] Wrong shape result imported from IGES file (Cauchy Ding <dingzh@hotmail.com>) - http://www.opencascade.org/org/forum/thread_22518/. [^]
"Hi All,

I have a IGES file. It contains a semi-sphere revolve face. It can be read correctly by other two softwares. But using occ6.3 and occ6.5.1, the result is very strange. Any idea? Thanks in advance.

Ding"
=====================
The problem is reproduced.
Desktop.zip file is attached.
Steps To Reproducepload ALL
igesread data.igs s *
fit
checkshape s
##########################
On Shape faulty_1 :
BRepCheck_SelfIntersectingWire
On Shape faulty_2 :
BRepCheck_UnorientableShape
Shape faulty_1 on shape faulty_2 :
BRepCheck_SelfIntersectingWire

Faulty shapes in variables faulty_1 to faulty_2
TagsNo tags attached.
Test case numberbugs iges CR22888
Attached Fileszip file icon Desktop.zip (175,678 bytes) 2012-01-10 11:58

- Relationships

-  Notes
(0019066)
abv (manager)
2012-01-10 12:28

The problem is that on the problematic face projection of first point of 3d curve on surface yields wrong result. The effect is that pcurve has a big loop, and whole face is invalid. (Note that in current development version the face is "valid" for checkshape and shading is OK when seen from the top, but the loop is still present and can be seen at the bottom of the shape).
(0021344)
Pawel (developer)
2012-08-28 13:17

Hi Ding,

with the current code version from the git repository (28.08.2012) the imported shape is valid and seems to be properly visualized.

Can you please check?
(0021438)
dingzh (reporter)
2012-09-10 05:29

Hi Pawel,

  I am sorry, and I don't know how to verify it. But I promise I will verify it after OCC6.6.0 released.
  Thanks.
(0021457)
abv (manager)
2012-09-11 12:35

Andrey, please add a test case for this issue to check that it has been fixed (I could not reproduce the problem on current master, too).
(0021480)
apn (administrator)
2012-09-13 16:26
edited on: 2012-09-14 12:54

Issue has been fixed and is not reproduced.
Branch CR22888 was created.
Test case: bugs/iges/CR22888


- Related Changesets
occt: master 09951da2
Timestamp: 2012-09-14 13:38:41
Author: apn
Details ] Diff ]
0022888: Wrong shape result imported from IGES file.

Adding test case bugs/iges/CR22888
Modified test case bugs/iges/CR22888
add - tests/bugs/iges/CR22888 Diff ] File ]
add - tests/bugs/iges/end Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-01-10 11:58 szy New Issue
2012-01-10 11:58 szy Assigned To => gka
2012-01-10 11:58 szy File Added: Desktop.zip
2012-01-10 12:28 abv Note Added: 0019066
2012-01-10 12:28 abv Status new => assigned
2012-03-22 06:17 abv Target Version 6.5.3 => 6.5.4
2012-08-28 13:17 Pawel Note Added: 0021344
2012-08-28 13:17 Pawel Assigned To gka => dingzh
2012-08-28 13:17 Pawel Status assigned => feedback
2012-09-10 05:29 dingzh Note Added: 0021438
2012-09-11 12:34 abv Assigned To dingzh => apn
2012-09-11 12:35 abv Note Added: 0021457
2012-09-13 16:26 apn Note Added: 0021480
2012-09-14 12:54 apn Note Edited: 0021480 View Revisions
2012-09-14 13:02 apn Test case number => bugs iges CR22888
2012-09-14 13:02 apn Assigned To apn => bugmaster
2012-09-14 13:02 apn Status feedback => tested
2012-09-17 17:29 apn Changeset attached => occt master 09951da2
2012-09-17 17:31 apn Assigned To bugmaster => apn
2012-09-17 17:31 apn Status tested => verified
2012-09-17 17:31 apn Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker